<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:altova="http://www.altova.com" exclude-result-prefixes="fn link xbrldi xbrli xdt xlink xs xsi">
  <xsl:output version="4.0" method="html" indent="yes" omit-xml-declaration="no" encoding="windows-1251" media-type="text/html"/>
  <xsl:param name="SV_OutputFormat" select="'HTML'"/>
  <xsl:variable name="XML" select="/"/>
  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <link rel="Stylesheet" type="text/css" href="../html/style.css"/>
		<style>
		.alone_item{
		border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none;}
		</style>
      </head>
      <body>
        <xsl:for-each select="$XML">
          <table style="border:none; font-size:8pt; line-height:1; " border="1" cellspacing="0" width="100%">
            <xsl:variable name="altova:CurrContextGrid_07BEAB80" select="."/>
            <tbody>
              <tr style="height:41px; ">
                <td style="border:none; ">
                  <span style="font-weight:bold; ">
                    <h4>Отчет по абонентам СОЭД</h4>
                  </span>
                </td>
              </tr>
			  
              <tr>
                <td style="border:none; vertical-align:bottom; ">
                  <span style="font-weight:bold; color:green; font-size:10pt; ">
                    <xsl:text>&#160; Параметры запроса </xsl:text>
                  </span>
                </td>
              </tr>
              <tr>
                <td style="border:none; vertical-align:bottom; ">
                  <xsl:if test="string-length(Сообщение/Документ/abnType)>0">
                    <b>&#160; Тип абонента: </b>
                    <xsl:choose>
                      <xsl:when test="starts-with(Сообщение/Документ/abnType, 'all')">
                        Все
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/abnType, 'Налогоплательщик')">
                        НП
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/abnType, 'СОС')">
                        СОС
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/abnType, 'СОЭД')">
                        СОЭД
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/abnType, 'НО')">
                        САОЭД
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/abnType, 'САОДИ')">
                        ЦСДИ
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/abnType, 'ИРУЦ')">
                        ИРУЦ
                      </xsl:when>
                      <xsl:otherwise>
                      </xsl:otherwise>
                    </xsl:choose>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/abnName)>0">
                    <xsl:text>&#160; Имя абонента: </xsl:text>
                    <xsl:value-of select="Сообщение/Документ/abnName"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/abnGUID) >  0">
                    <b>&#160; Идентификатор:</b>&#160;&#160;
                    <xsl:value-of select="Сообщение/Документ/abnGUID"/>
                    <br />
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/abnCode)>0">
                    <xsl:text>&#160; Код абонента: </xsl:text>
                    <xsl:value-of select="Сообщение/Документ/abnCode"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/abnEmail)>0">
                    <xsl:text>&#160; Email абонента: </xsl:text>
                    <xsl:value-of select="Сообщение/Документ/abnEmail"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/npType)>0">
                    <b>&#160; Тип НП: </b>
                    <xsl:choose>
                      <xsl:when test="starts-with(Сообщение/Документ/npType, 'all')">
                        Все
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/npType, 'ul')">
                        ЮЛ
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/npType, 'fl')">
                        ФЛ
                      </xsl:when>
                      <xsl:otherwise>

                      </xsl:otherwise>
                    </xsl:choose>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/status)>0">
                    <b>&#160; Статус абонента: </b>
                    <xsl:choose>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'all')">
                        Все
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'aktive')">
                        Активен
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'delete')">
                        Удален
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'suspend')">
                        Блокирован
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'endPeriod')">
                        Не обслуживается
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'noCerts')">
                        Отсут. сертификаты
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, '7day')">
                        Осталось менее недели
                      </xsl:when>
                      <xsl:otherwise>

                      </xsl:otherwise>
                    </xsl:choose>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Инфо/@Дата)>0">
                    <b>&#160; Дата запроса: </b>
                    <xsl:value-of select="Сообщение/Инфо/@Дата"/>
                    <br/>
                  </xsl:if>
				  <xsl:if test="string-length(Сообщение/Документ/sosEmail)>0">
					<span style="color:#dd00dd">
                    <b>&#160; Спецоператор: </b>
                    <xsl:value-of select="Сообщение/Документ/sosEmail"/>
					</span>
                    <br/>
                  </xsl:if>
                </td>
              </tr>
              <tr>
                <td style="border:none; vertical-align:top; ">
                  <br/>
                  <span style="font-weight:bold; font-size:10pt; color:green; ">
                    <xsl:text>&#160; Отчет </xsl:text>
                  </span>
                </td>
              </tr>
              <tr>
                <td style="border:none; vertical-align:bottom; ">
                  <span style="font-weight:bold; ">
                    <xsl:text>&#160; Дата отчета: </xsl:text>
                  </span>
                  <span>
                    <xsl:value-of select="Сообщение/Отчет/@датаОтчета"/>
                  </span>
                </td>
              </tr>
			  
			  
			  <xsl:if test="string-length(Сообщение/Отчет/@AllRows)>0">
			  <tr>
                <td style="border:none; vertical-align:top; font-weight:bold; color:red">
                    <xsl:text>&#160; Общее количество строк за заданный период: </xsl:text>
                    <xsl:value-of select="Сообщение/Отчет/@AllRows"/>
				  .<br/>
                    <xsl:text>&#160;&#160;Урезано до максимально допустимого количества строк в соответствии с настройками СОЭД. Для получения полного отчета измените критерии выборки и отправьте запрос заново </xsl:text>
                  
                </td>
              </tr>
			  </xsl:if>
			  
			  
              <tr>
                <td style="border:none; ">
                  <table style="font-size:8pt; border-bottom-style:none; border-left-style:none; border-right-color:gray; 
				  border-top-color:gray; " border="1" cellspacing="0">
				  <!-- Если число рядов > 1 то ...-->
				  <!-- выводим только данные по абоненту (без сертов и маршрутов) -->
				  
				  <xsl:if test="count(Сообщение/Отчет/row)>1">
				  
					<!-- Начало шапки главной таблицы -->
                    <thead>
                      <tr>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; text-align:center; ">
                          <span>
                            <xsl:text>№</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; " width="20%">
                          <span>
                            <xsl:text>Наименование</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Код</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Тип абонента</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Идентификатор</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Email абонента</xsl:text>
                          </span>
                        </th>
						<th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Email СОС</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>КПП НП</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Начало обслуживания</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Окончание обслуживания</xsl:text>
                          </span>
                        </th>
						<th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>УП</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Обсл.</xsl:text>
                          </span>
                        </th>
                      </tr>
                    </thead>
					<!-- Конец шапки главной таблицы -->
					<tbody>
                      <xsl:for-each select="Сообщение">
                        <xsl:for-each select="Отчет">
						
                          <xsl:for-each select="row">
                            <tr>
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; text-align:center; ">
                                <span>
                                  <xsl:value-of select="position()"/>
                                </span>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; " width="20%">
                                <xsl:for-each select="@ABN_NAME">
                                  <span>
                                    <xsl:value-of select="string(.)"/>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_CODE">
                                  <span>
                                    <xsl:value-of select="string(.)"/>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_TYPE">
                                  <span>
                                    <xsl:value-of select="string(.)"/>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_GUID">
                                  <span>
                                    <xsl:value-of select="string(.)"/>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_EMAIL">
                                  <span>
                                    <xsl:value-of select="string(.)"/>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
							  
							  <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_SOS_EMAIL">
                                  <span>
                                    <xsl:value-of select="string(.)"/>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
							  
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_KPP">
                                  <span>
                                    <xsl:value-of select="string(.)"/>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_SERVSTART">
                                  <span>
                                    <xsl:value-of select="substring( . , 1, 10 )"/>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160;</xsl:text>
                                </span>
                              </td>
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_SERVEND">
                                  <span>
                                    <xsl:value-of select="substring( . , 1, 10 )"/>
                                  </span>
                                </xsl:for-each>
                              </td>
							  
							  <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@ABN_IS_ACCREP">
                                  <span>
                                    <xsl:choose>
                                      <xsl:when test="starts-with(., 'True')">
                                        Да
                                      </xsl:when>
                                      <xsl:when test="starts-with(., 'False')">
                                        Нет
                                      </xsl:when>
                                      <xsl:otherwise>
                                      </xsl:otherwise>
                                    </xsl:choose>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160; </xsl:text>
                                </span>
                              </td>
							  
                              <td style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <xsl:for-each select="@STATE">
                                  <span>
                                    <xsl:choose>
                                      <xsl:when test="starts-with(., 'DELETED')">
                                        Все
                                      </xsl:when>
                                      <xsl:when test="starts-with(., 'BLOCKED')">
                                        Заблокирован
                                      </xsl:when>
                                      <xsl:when test="starts-with(., 'END_PERIOD')">
                                        Закончен период обслуживания
                                      </xsl:when>
                                      <xsl:when test="starts-with(., 'NO_CERT')">
                                        Отсутствуют валидные сертификаты
                                      </xsl:when>
                                      <xsl:when test="starts-with(., '7DAY')">
                                        До конца обслуживания менее 7 дней
                                      </xsl:when>
                                      <xsl:when test="starts-with(., 'ACTIVE')">
                                        Активен
                                      </xsl:when>
                                      <xsl:otherwise>

                                      </xsl:otherwise>
                                    </xsl:choose>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160; </xsl:text>
                                </span>
                              </td>
                            </tr>
							
							
                          </xsl:for-each>
                        
						
						
						</xsl:for-each>
                      </xsl:for-each>
                    </tbody>
                  
				  <!-- иначе (т.е. число рядов == 1) 
				  выводим подробно серты и маршруты для единственного абонента
				  -->
				  
				  </xsl:if>
				  
				  <xsl:if test="count(Сообщение/Отчет/row)=1">
				  <tr>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; " width="20%">
                          <span>
                            <xsl:text>Наименование</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Код</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Тип абонента</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Идентификатор</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Email абонента</xsl:text>
                          </span>
                        </th>
						<th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Email СОС</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>КПП НП</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Начало обслуживания</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Окончание обслуживания</xsl:text>
                          </span>
                        </th>
						<th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>УП</xsl:text>
                          </span>
                        </th>
                        <th style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                          <span>
                            <xsl:text>Обсл.</xsl:text>
                          </span>
                        </th>
                      </tr>
					  <xsl:for-each select="Сообщение">
							<xsl:for-each select="Отчет">
								<xsl:for-each select="row">
									<tr>
										<td class="alone_item">
											<xsl:value-of select="@ABN_NAME"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										<td class="alone_item">
											<xsl:value-of select="@ABN_CODE"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										<td class="alone_item">
											<xsl:value-of select="@ABN_TYPE"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										<td class="alone_item">
											<xsl:value-of select="@ABN_GUID"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										<td class="alone_item">
											<xsl:value-of select="@ABN_EMAIL"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										<td class="alone_item">
											<xsl:value-of select="@ABN_SOS_EMAIL"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										<td class="alone_item">
											<xsl:value-of select="@ABN_KPP"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										<td class="alone_item">
											<xsl:value-of select="@ABN_SERVSTART"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										<td class="alone_item">
											<xsl:value-of select="@ABN_SERVEND"/>
											<xsl:text>&#160;</xsl:text>
										</td>
										
										<td class="alone_item">
                                <xsl:for-each select="@ABN_IS_ACCREP">
                                  <span>
                                    <xsl:choose>
                                      <xsl:when test="starts-with(., 'True')">
                                        Да
                                      </xsl:when>
                                      <xsl:when test="starts-with(., 'False')">
                                        Нет
                                      </xsl:when>
                                      <xsl:otherwise>
                                      </xsl:otherwise>
                                    </xsl:choose>
                                  </span>
                                </xsl:for-each>
                                <span>
                                  <xsl:text>&#160; </xsl:text>
                                </span>
                              </td>
							  
										<td class="alone_item">
											<xsl:choose>
                                      <xsl:when test="starts-with(@STATE, 'DELETED')">
                                        Все
                                      </xsl:when>
                                      <xsl:when test="starts-with(@STATE, 'BLOCKED')">
                                        Заблокирован
                                      </xsl:when>
                                      <xsl:when test="starts-with(@STATE, 'END_PERIOD')">
                                        Закончен период обслуживания
                                      </xsl:when>
                                      <xsl:when test="starts-with(@STATE, 'NO_CERT')">
                                        Отсутствуют валидные сертификаты
                                      </xsl:when>
                                      <xsl:when test="starts-with(@STATE, '7DAY')">
                                        До конца обслуживания менее 7 дней
                                      </xsl:when>
                                      <xsl:when test="starts-with(@STATE, 'ACTIVE')">
                                        Активен
                                      </xsl:when>
                                      <xsl:otherwise>

                                      </xsl:otherwise>
                                    </xsl:choose>
									<xsl:text>&#160;</xsl:text>
										</td>
										
									</tr>
									<tr> 
                              <td colspan="11" style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
                                <table style="font-size:8pt; border:none; " border="1" cellspacing="0" width="100%">
                                  <!--<xsl:variable name="altova:CurrContextGrid_07020DD0" select="."/>-->
                                  <thead>
                                    <tr style="text-align:left; ">
                                      <th style="border:none; ">
                                        <span>
                                          <xsl:text> Сертификат: </xsl:text>
                                        </span>
                                      </th>
                                      <th style="border:none; ">
                                        <span>
                                          <xsl:text> Начало действия </xsl:text>
                                        </span>
                                      </th>
                                      <th style="border:none; ">
                                        <span>
                                          <xsl:text> Окончание действия </xsl:text>
                                        </span>
                                      </th>
                                      <th style="border:none; ">
                                        <span>
                                          <xsl:text> Тип подписи</xsl:text>
                                        </span>
                                      </th>
                                      <th style="border:none; ">
                                        <span>
                                          <xsl:text> Отпечаток</xsl:text>
                                        </span>
                                      </th>
                                      <th style="border:none; ">
                                        <span>
                                          <xsl:text> Шифрование</xsl:text>
                                        </span>
                                      </th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                    <xsl:for-each select="abnSign">
                                      <tr>
                                        <td style="border:none; ">
                                          <span>
                                            <xsl:text> </xsl:text>
                                          </span>
                                        </td>
                                        <td style="border:none; ">
                                          <xsl:for-each select="@ASG_START_DATE">
                                            <span>
                                              <xsl:value-of select="substring( . , 1, 10 )"/>
                                            </span>
                                          </xsl:for-each>
                                          <span>
                                            <xsl:text>&#160;</xsl:text>
                                          </span>
                                        </td>
                                        <td style="border:none; ">
                                          <xsl:for-each select="@ASG_END_DATE ">
                                            <span>
                                              <xsl:value-of select="substring( . , 1, 10 )"/>
                                            </span>
                                          </xsl:for-each>
                                          <span>
                                            <xsl:text>&#160;</xsl:text>
                                          </span>
                                        </td>
                                        <td style="border:none; ">
                                          <xsl:for-each select="@ASG_SIGN_TYPE">
                                            <span>
                                              <xsl:choose>
                                                <xsl:when test="starts-with( ., 0)">
                                                  Рук. или Бух.
                                                </xsl:when>
                                                <xsl:when test="starts-with( ., 1)">
                                                  Рук.
                                                </xsl:when>
												<xsl:when test="starts-with( ., 2)">
                                                  Бух.
                                                </xsl:when>
                                                <xsl:when test="starts-with( ., 3)">
                                                  Рук. + Бух.
                                                </xsl:when>
                                                <xsl:otherwise>

                                                </xsl:otherwise>
                                              </xsl:choose>
                                            </span>
                                          </xsl:for-each>
                                          <span>
                                            <xsl:text>&#160;</xsl:text>
                                          </span>
                                        </td>
                                        <td style="border:none; ">
                                          <xsl:for-each select="@ASG_SIGN_STAMP">
                                            <span>
                                              <xsl:value-of select="string(.)"/>
                                            </span>
                                          </xsl:for-each>
                                          <span>
                                            <xsl:text>&#160;</xsl:text>
                                          </span>
                                        </td>
                                        <td style="border:none; ">
                                          <xsl:for-each select="@ASG_CRYPT_FLAG">
                                            <span>
                                              <xsl:choose>
                                                <xsl:when test="starts-with( ., 1)">
                                                  Да
                                                </xsl:when>
                                                <xsl:otherwise>
                                                  Нет
                                                </xsl:otherwise>
                                              </xsl:choose>
                                            </span>
                                          </xsl:for-each>
                                          <span>
                                            <xsl:text>&#160;</xsl:text>
                                          </span>
                                        </td>
                                      </tr>
                                    </xsl:for-each>
                                  </tbody>
                                </table>
                              </td>

							</tr>
							<tr>
								<td colspan="11" style="border-bottom-color:gray; border-left-color:gray; border-right-style:none; border-top-style:none; ">
								
                                <table style="font-size:8pt; border:none; " border="1" cellspacing="0" width="100%">
                                  <xsl:variable name="altova:CurrContextGrid_07020DD0" select="."/>
                                  <thead>
                                    <tr style="text-align:left; ">
                                      <th style="border:none; " width="10%">
                                        <span>
                                          <xsl:text> Маршрут: </xsl:text>
                                        </span>
                                      </th>
                                      <th style="border:none; " width="10%">
                                        <span>
                                          <xsl:text>КПП</xsl:text>
                                        </span>
                                      </th>
                                      <th style="border:none; " width="10%">
                                        <span>
                                          <xsl:text>Код НО</xsl:text>
                                        </span>
                                      </th>
									  <th style="border:none; " width="70%">
                                        <span>
                                          <xsl:text>&#160;</xsl:text>
                                        </span>
                                      </th>
                                      
                                    </tr>
									
                                  </thead>
                                  <tbody>
                                    <xsl:for-each select="abnRoutes">
                                      <tr>
                                        <td style="border:none; " width="10%">
                                          <span>
                                            <xsl:text> </xsl:text>
                                          </span>
                                        </td>
                                        <td style="border:none; " width="10%">
                                          <xsl:for-each select="@SUBA_KPP">
                                            <span>
                                              <xsl:value-of select="string(.)"/>
                                            </span>
                                          </xsl:for-each>
                                          <span>
                                            <xsl:text>&#160;</xsl:text>
                                          </span>
                                        </td>
                                        <td style="border:none; " width="10%">
                                          <xsl:for-each select="@SUBA_TAXCODE">
                                            <span>
                                              <xsl:value-of select="string(.)"/>
                                            </span>
                                          </xsl:for-each>
                                          <span>
                                            <xsl:text>&#160;</xsl:text>
                                          </span>
                                        </td>
										
                                        <td style="border:none; " width="70%">
                                          <span>
                                            <xsl:text>&#160;</xsl:text>
                                          </span>
                                        </td>
										
                                        
                                      </tr>
                                    </xsl:for-each>
                                  </tbody>
                                </table>
								
                              </td>
								
								
								</tr>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
								
				  <!-- конец блока иначе-->
				  </xsl:if>
				  
				  </table>
                </td>
              </tr>
              <tr style="height:40px; ">
                <td style="border:none; vertical-align:bottom; ">
                  <xsl:if test="count(Сообщение/Отчет/row/@ABN_NAME)=0">
                    Нет данных по Вашему запросу. Попробуйте изменить параметры отчета.
                  </xsl:if>
                  <span style="font-weight:bold; ">
                    <xsl:text>&#160; Итого</xsl:text>
                  </span>
                  <br/>
                  <span style="font-weight:bold; ">
                    <xsl:text>&#160; Выбрано абонентов: </xsl:text>
                  </span>
                  <span>
                    <xsl:value-of select="count( Сообщение/Отчет/row/@ABN_NAME )"/>
                  </span>
                </td>
              </tr>
            </tbody>
          </table>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
